<?php

namespace Drupal\lametric\Service;

/**
 * Interface LaMetricNotificationInterface.
 *
 * @package Drupal\lametric\Service
 */
interface LaMetricNotificationInterface {

  /**
   * Send notification.
   *
   * @param string $ip
   *   The IP address.
   * @param string $key
   *   The API key.
   * @param string $text
   *   The message text.
   * @param int $icon
   *   (optional) The icon ID.
   *
   * @return \Exception|int|string
   *   One of the following values:
   *   - The message ID when a notification was sent successfully and the
   *     response structure is correct.
   *   - The response content when a notification was sent successfully but the
   *     response structure is invalid.
   *   - The exception object when a notification was sent unsuccessfully.
   */
  public function send($ip, $key, $text, $icon = NULL);

}
